﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.ServiceModel.Web;
using System.Collections.Generic;

namespace PhotoGallery
{
    [ServiceBehavior(IncludeExceptionDetailInFaults=true)]
    [ServiceContract(Namespace = "PhotoServices")]
    [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
    public class PhotoService
    {
        [OperationContract]
        public List<Photo> GetPhotos(int categoryId)
        {
            var dataContext = new PhotoGalleryDataContext();
            var photos = (from p in dataContext.Photos 
                          where p.CategoryId==categoryId
                          select p).ToList();
            return photos;
        }

    }
}
